Subject: git-gui messes up the diff view on non ASCII characters

From: Peter Baumann <[email-masked]>
Date: Fri, 9 Nov 2007 16:49:35 +0100

I'm managing some UTF-8 encoded LaTeX files in git, which include some
non ASCII characters like the german ä,ö and ü. If I view the diff with
git-diff on an UTF8 enabled terminal, all looks nice. So does the diff
view in gitk after I commited my changes. Only git-gui shows some
"strange" characters, so I assume it is an encoding problem.

I have to admit that I'm totally unaware how this should work, but at
least I think my configuration is correct here, because otherwise git-diff
or gitk would show the same behaviour. Is there anything which could be
done to make git-gui happy, too?

-Peter